summaryrefslogtreecommitdiff
path: root/libjava/classpath/autogen.sh
diff options
context:
space:
mode:
authorupstream source tree <ports@midipix.org>2015-03-15 20:14:05 -0400
committerupstream source tree <ports@midipix.org>2015-03-15 20:14:05 -0400
commit554fd8c5195424bdbcabf5de30fdc183aba391bd (patch)
tree976dc5ab7fddf506dadce60ae936f43f58787092 /libjava/classpath/autogen.sh
downloadcbb-gcc-4.6.4-554fd8c5195424bdbcabf5de30fdc183aba391bd.tar.bz2
cbb-gcc-4.6.4-554fd8c5195424bdbcabf5de30fdc183aba391bd.tar.xz
obtained gcc-4.6.4.tar.bz2 from upstream website;upstream
verified gcc-4.6.4.tar.bz2.sig; imported gcc-4.6.4 source tree from verified upstream tarball. downloading a git-generated archive based on the 'upstream' tag should provide you with a source tree that is binary identical to the one extracted from the above tarball. if you have obtained the source via the command 'git clone', however, do note that line-endings of files in your working directory might differ from line-endings of the respective files in the upstream repository.
Diffstat (limited to 'libjava/classpath/autogen.sh')
-rwxr-xr-xlibjava/classpath/autogen.sh62
1 files changed, 62 insertions, 0 deletions
diff --git a/libjava/classpath/autogen.sh b/libjava/classpath/autogen.sh
new file mode 100755
index 000000000..adb8f0c94
--- /dev/null
+++ b/libjava/classpath/autogen.sh
@@ -0,0 +1,62 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd $srcdir
+PROJECT=classpath
+TEST_TYPE=-f
+FILE=java/lang/Object.java
+
+DIE=0
+
+LIBTOOLIZE=libtoolize
+
+have_libtool=false
+if ${LIBTOOLIZE} --version < /dev/null > /dev/null 2>&1 ; then
+ libtool_version=`${LIBTOOLIZE} --version | sed 's/^.*[^0-9.]\([0-9]\{1,\}\.[0-9.]\{1,\}\).*/\1/'`
+ case $libtool_version in
+ 1.5*|2.*)
+ have_libtool=true
+ ;;
+ esac
+fi
+if $have_libtool ; then : ; else
+ echo
+ echo "You must have libtool 1.5 installed to compile $PROJECT."
+ echo "Install the appropriate package for your distribution,"
+ echo "or get the source tarball at http://ftp.gnu.org/gnu/libtool/"
+ echo "For Darwin you need the latest stable (1.5.22) to support"
+ echo "Frameworks linking. Also, you have to point"
+ echo "LOCAL_AUTORECONF_FLAGS to this libtool/share/aclocal."
+ DIE=1
+fi
+
+if test "$DIE" -eq 1; then
+ exit 1
+fi
+
+test $TEST_TYPE $FILE || {
+ echo "You must run this script in the top-level $PROJECT directory"
+ exit 1
+}
+
+if test "x$AUTOGEN_SUBDIR_MODE" = "xyes"; then
+ if test -z "$*"; then
+ echo "I am going to run ./configure with no arguments - if you wish "
+ echo "to pass any to it, please specify them on the $0 command line."
+ fi
+fi
+
+autoreconf --force --install --warnings=no-portability || exit $?
+
+cd $ORIGDIR || exit $?
+
+if test "x$AUTOGEN_SUBDIR_MODE" = "xyes"; then
+ $srcdir/configure --enable-maintainer-mode $AUTOGEN_CONFIGURE_ARGS "$@" || exit $?
+
+ echo
+ echo "Now type 'make' to compile $PROJECT."
+fi